cURL
curl --request POST \
--url https://api.become1.de/api/v2/flex/tax-rule-templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"rules": [
{
"budgets": [
{
"budget": {
"value": 123
}
}
],
"maxDaysPerMonth": 123,
"isOnlyPublicTransportAllowed": true
}
],
"companyIds": [
"<string>"
]
}
'import requests
url = "https://api.become1.de/api/v2/flex/tax-rule-templates"
payload = {
"name": "<string>",
"rules": [
{
"budgets": [{ "budget": { "value": 123 } }],
"maxDaysPerMonth": 123,
"isOnlyPublicTransportAllowed": True
}
],
"companyIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
rules: [
{
budgets: [{budget: {value: 123}}],
maxDaysPerMonth: 123,
isOnlyPublicTransportAllowed: true
}
],
companyIds: ['<string>']
})
};
fetch('https://api.become1.de/api/v2/flex/tax-rule-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"companyIds": [
"<string>"
],
"name": "<string>",
"rules": [
"<array>"
],
"taxAffiliations": []
}Flex
Create Flex Tax Rule Template
POST
/
api
/
v2
/
flex
/
tax-rule-templates
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I